<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" th:replace="~{main-layout.html::main-fragment(~{::title},~{::#add-article-main-content})}">

<head>
    <meta charset="UTF-8">
    <title>Ajouter un article</title>
</head>

<body>
    <div id="add-article-main-content">
        <h2 class>Ajouter un article</h2>
        <form method="post" th:action="@{/admin/articles/add}" th:object="${formarticle}">
            <div class="mb-2">
                <label for="description" class="form-label">Description</label>
                <input type="text" th:field="*{description}" id="description" class="form-control" th:errorclass="is-invalid" />
                <p th:if="${#fields.hasErrors('description')}" th:errors="*{description}" class="text-danger small" />
            </div>
            <div class="mb-2">
                <label for="prix" class="form-label">Prix</label>
                <input type="number" th:field="*{prix}" id="prix" class="form-control" th:errorclass="is-invalid" min="0" step="0.01">
                <p th:if="${#fields.hasErrors('prix')}" th:errors="*{prix}" class="text-danger small" />
            </div>
            <div class="mb-2">
                <label for="dateProduction" class="form-label">Date de procuction</label>
                <input type="date" th:field="*{dateProduction}" id="dateProduction" class="form-control" th:errorclass="is-invalid">
                <p th:if="${#fields.hasErrors('dateProduction')}" th:errors="*{dateProduction}" class="text-danger small" />
            </div>
            <input type="submit" class="btn btn-primary col-md-2 offset-md-5" value="Ajouter"/>
        </form>
    </div>
    </body>
</html>